%global enable_tests 1
%global module_name gettext-parser
%global gittag0 1.2.2

Name:           nodejs-%{module_name}
Version:        %{gittag0}
Release:        3%{?dist}
Summary:        Parse and compile gettext po and mo files to/from json

License:        MIT
URL:            https://github.com/andris9/gettext-parser
Source0:        https://github.com/andris9/%{module_name}/archive/v%{gittag0}.tar.gz#/%{module_name}-%{gittag0}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires: npm(chai)
BuildRequires: npm(encoding)
BuildRequires: mocha
%endif

%description
Parse and compile gettext po and mo files with node.js.

This module is slightly based on module node-gettext. The plan is to move all
parsing and compiling logic from node-gettext to here and leave only
translation related functions (domains, plural handling, lookups etc.) there.

%prep
%setup -q -n %{module_name}-%{gittag0}
rm -rf node_modules

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json lib index.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
mocha -R spec test/*-test.js
%endif

%files
%doc README.md CHANGELOG.md
%license LICENSE
%{nodejs_sitelib}/%{module_name}

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jan 16 2017 Parag Nemade <pnemade AT redhat DOT com> - 1.2.2-1
- Update to 1.2.2

* Mon Dec 05 2016 Parag Nemade <pnemade AT redhat DOT com> - 1.2.1-1
- Update to 1.2.1

* Wed Jun 15 2016 Parag Nemade <pnemade AT redhat DOT com> - 1.2.0-1
- Update to 1.2.0 version

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Oct 07 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.1.2-1
- Update to new upstream release (rh#1265321)

* Mon Sep 21 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.1.1-1
- Initial packaging

